Vector's 'More' dropdown appears beneath VE toolbar
Closed, ResolvedPublic1 Story Points

Description

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2017, 11:45 AM
Deskana triaged this task as High priority.Jul 28 2017, 9:57 AM
Deskana moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Probably caused by rGVED8ec804988d59: Make sure the toolbar is shown on top of surface contents even when not floating (https://gerrit.wikimedia.org/r/#/c/359033/), which set z-index: 2 on the toolbar. We can't lower that to 1, otherwise the toolbar (when floating) will be overlapped by context menus and such.

I suppose we can just raise z-index on div.vectorMenu div.menu from 1 to 2? It shouldn't cause any problems, but it sucks a bit for VE to require CSS fixes in skins.

Or we could make .ve-init-target into a new stacking context (e.g. position: relative; z-index: 0; ref), so that z-index values inside of it don't "leak". That feels neater, but I have no idea if it's likely to cause further issues. Ed, thoughs?

(Side note, I found some weird CSS on en.wp when looking into this, see https://en.wikipedia.org/wiki/MediaWiki_talk:Vector.css#Remove_.22Menu_over_FR_box.22_rule)

I do the first one (div.menu bump) as it seems the least likely to cause other regressions, but maybe we can put it as an override in VE, rather than an upstream fix?

Deskana added a subscriber: TheDragonFire.
Deskana added a subscriber: Deskana.

@matmarex @Esanders Any updates? This is in production, and it's pretty bad.

Change 369813 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/skins/Vector@master] Make dropdown menus appear above VisualEditor toolbar

https://gerrit.wikimedia.org/r/369813

Change 369813 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Make dropdown menus appear above VisualEditor toolbar

https://gerrit.wikimedia.org/r/369813

Deskana set the point value for this task to 1.Aug 4 2017, 10:04 AM
Deskana closed this task as Resolved.
Deskana assigned this task to matmarex.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 4 2017, 10:04 AM